# An Almost-empty GBA Test Collection
NOTE: This only builds on stage1 due to unimplemented language features that ZigGBA relies on. 

### `2d_sprites.gba`
At some point during my initial PPU Implementation, I had problems with 
2D-mapped vertical sprites. This is a ROM based on TONC's `sprite_demo.gba` That displays every kind of 2D-mapped sprite. 

This ROM will display:
* 4BPP 
    * Square: 8x8, 16x16, 32x32, 64x64
    * Horizontal: 16x8, 32x8, 32x16, 64x32
    * Vertical: 8x16, 8x32, 16x32, 32x64
* 8BPP
    * Square: 8x8, 16x16, 32x32, 64x64
    * Horizontal: 16x8, 32x8, 32x16, 64x32
    * Vertical: 8x16, 8x32, 16x32, 32x64

Keep in mind that all displayed sprites are 2D-mapped. 

TODO: Do the same but for 1D mapped sprites. <br />
TODO: Figure out how to communicate current configurations to the user.

#### Controls 
Button | Action
--- | ---
Start | Toggle Between 8bpp and 4bpp
L, R | Change the Size of the Sprite (Dimentions within the context of a Shape)
A, B | Change the Shape of the Sprite (Square, Horizontal, Vertical)
D-Pad | Move Sprite